SDL_IOFromDynamicMem(3)

NAME
SDL_IOFromDynamicMem - Use this function to create an SDL_IOStream
 that is backed by dynamically allocated memory.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_IOStream * SDL_IOFromDynamicMem(void);

DESCRIPTION
This supports the following properties to provide access to the memory and control over allocations:

• SDL_PROP_IOSTREAM_DYNAMIC_MEMORY_POINTER :
  a pointer to the internal memory of the stream. This can be set to NULL
  to transfer ownership of the memory to the application, which should free
  the memory with SDL_free (). If this is done, the next
  operation on the stream must be SDL_CloseIO ().

• SDL_PROP_IOSTREAM_DYNAMIC_CHUNKSIZE_NUMBER :
  memory will be allocated in multiples of this size, defaulting to 1024.

RETURN VALUE
( SDL_IOStream
 *) Returns a pointer to a new

SDL_IOStream
 structure or NULL on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CloseIO(3), •(3), SDL_ReadIO(3), •(3), SDL_SeekIO(3), •(3), SDL_TellIO(3), •(3), SDL_WriteIO(3)